# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-editdist
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: CPython module to quickly calculate Levenshtein's edit distance
Name: python-module-editdist
Version: 0.3
Release: alt1_20
Source0: http://py-editdist.googlecode.com/files/py-editdist-%{version}.tar.gz
License: BSD and ISC
Group: Development/Other
BuildRequires:  gcc
BuildRequires: python-devel python-module-pkg_resources python-module-setuptools
URL: http://code.google.com/p/py-editdist/

%global _description\
"editdist" is a CPython module that calculates the Levenshtein edit\
distance between two strings.
Source44: import.info

%description 

%_description
%prep
%setup -q -n py-editdist-%{version}

%build
%{__python} setup.py build

%check
PYTHONPATH=%{buildroot}/%{python_sitelibdir} %{__python} test.py

%install
%{__python} setup.py install -O1 --root=%{buildroot}

%files -n python-module-editdist
%{python_sitelibdir}/editdist*
%doc LICENSE README TODO ChangeLog 

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_20
- update to new release by fcimport

* Sun May 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_19
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_18
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_17
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_13
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_10
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_7
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_4
- initial fc import

